Subject: bug report FvwmForm non-reproducible

From: Dan Espen <[email-masked]>
Date: Fri, 26 Nov 2004 21:24:20 -0500

I've moved this problem to "unreproducible".
The action with the button not activating is a feature.
Using the Form FvwmForm-Defaults, you can change buttons
so they activate on a press.

I could not reproduce the button with two labels.

If you have questions about this, respond to fvwm-workers.

Bug report:

Full_Name: Sergey Prohorenko
Version: 2.5.7
CVS_Date: 
OS: Debian Unstable
X_Server: x-window-system_4.2.1-12.1
Submission from: (NULL) (212.44.95.112)

The form is called using:
*FvwmButtons(1x1, Title Logout, Icon 48x48-gnome/window-destroy.xpm, Action
`Module FvwmForm FvwmForm-QuitVerify`) 
(Using modified Debian-blue setup from
http://themes.freshmeat.net/projects/debian-blue/?topic_id=929)

So, after QuitVerify form appears, I press any button (Logout for example)
with left mouse button and then, not releasing it, move mouse cursor
outside the form button. And when it returns to "unpressed" state, text on
it becomes distorted, as if the old one hasn't been cleared. That is, two
labels, one on top of the other, are displayed.
I did not test it with other FvwmForm forms/buttons.

fvwm 2.5.7 is self-compiled using hand-tuned debian build rules (just some
minor tweaking).

-- 
Dan Espen                               E-mail: [email-masked]
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]